/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.decoratorcommands

// imports
import {IDecorator} from './concerto.metamodel';
import {IConcept} from './concerto';

// interfaces
export interface IDecoratorCommandSetReference extends IConcept {
   name: string;
   version: string;
}

export enum CommandType {
   UPSERT = 'UPSERT',
   APPEND = 'APPEND',
}

export interface ICommandTarget extends IConcept {
   namespace?: string;
   declaration?: string;
   property?: string;
   type?: string;
}

export interface ICommand extends IConcept {
   target: ICommandTarget;
   decorator: IDecorator;
   type: CommandType;
}

export interface IDecoratorCommandSet extends IConcept {
   name: string;
   version: string;
   includes?: IDecoratorCommandSetReference[];
   commands: ICommand[];
}

